=== debian/control ===
Source: mame
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Félix Arreola Rodríguez <fgatuno.123@gmail.com>,
           Cesare Falco <cesare.falco@gmail.com>,
           Emmanuel Kasper <emmanuel@libera.cc>,
           Ludovic Lechapt <ludomatic@gmail.com>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8),
               libexpat1-dev,
               libsdl1.2-dev,
               libgconf2-dev,
               libgtk2.0-dev,
               libsdl-ttf2.0-dev,
               libxinerama-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-games/mame.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/mame.git
Homepage: http://mamedev.org/
XS-Autobuild: yes

Package: mame
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mame-tools, gnome-video-arcade
Provides: xmame-common, xmame-sdl, xmame-svga, xmame-x
Replaces: xmame-common (<< 0.140), xmame-sdl (<< 0.140), xmame-svga (<< 0.140), xmame-x (<< 0.140)
Breaks: xmame-common (<< 0.140), xmame-sdl (<< 0.140), xmame-svga (<< 0.140), xmame-x (<< 0.140), sdlmame (<< 0.143)
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: mame-tools
Section: non-free/utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mame (= ${source:Version})
Breaks: xmame-tools (<< 0.140), sdlmame-tools (<< 0.143)
Description: Tools for Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides tools to be used with MAME and MESS. It currently
 contains:
  castool -- generic cassette manipulation tool for MESS
  chdman -- MAME Compressed Hunks of Data CHD manager
  imgtool -- generic image manipulation tool for MESS
  jedutil -- binary to/from JEDEC file converter
  ldresample -- Laserdisc audio synchronizer and resampler
  ldverify -- Laserdisc AVI/CHD verifier
  romcmp -- ROM comparison utility program
  testkeys -- keyboard code viewer

Package: mess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mess-data
Recommends: mess-desktop-entries
Suggests: mame-tools
Provides: xmess-common, xmess-sdl, xmess-x
Replaces: xmess-common (<< 0.142), xmess-sdl (<< 0.142), xmess-x (<< 0.142)
Breaks: xmess-common (<< 0.142), xmess-sdl (<< 0.142), xmess-x (<< 0.142)
Description: Multi Emulator Super System (MESS)
 MESS is an emulator for various consoles and computing systems, sharing a
 lot of codebase with the MAME project.
 .
 Some of the well known consoles and computers emulated are the Atari 2600,
 Lynx, NES, SNES, Nintendo 64, GameBoy, Sega Master System, Sega Megadrive,
 Game Gear, Colecovision, Vectrex, Apple II, Atari 400/800, Commodore 64/128,
 IBM PC XT and AT (MDA and CGA), ZX80, ZX Spectrum, TI99/4, TRS-80, and the
 MSX.
 .
 This package provides the MESS binary and configuration files.

Package: mess-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files for the Multi Emulator Super System (MESS)
 MESS is an emulator for various consoles and computing systems, sharing a
 lot of codebase with the MAME project.
 .
 Some of the well known consoles and computers emulated are the Atari 2600,
 Lynx, NES, SNES, Nintendo 64, GameBoy, Sega Master System, Sega Megadrive,
 Game Gear, Colecovision, Vectrex, Apple II, Atari 400/800, Commodore 64/128,
 IBM PC XT and AT (MDA and CGA), ZX80, ZX Spectrum, TI99/4, TRS-80, and the
 MSX.
 .
 This package provides the MESS hash files, keymaps and artwork.

Package: xmame-sdl
Depends: mame, ${misc:Depends}
Architecture: all
Description: Transitional package for xmame-sdl
 This is a transitional package for xmame-sdl, and can be safely removed
 after the installation is complete.

Package: xmame-svga
Depends: mame, ${misc:Depends}
Architecture: i386
Description: Transitional package for xmame-svga
 This is a transitional package for xmame-svga, and can be safely removed
 after the installation is complete.

Package: xmame-x
Depends: mame, ${misc:Depends}
Architecture: all
Description: Transitional package for xmame-x
 This is a transitional package for xmame-x, and can be safely removed
 after the installation is complete.

Package: xmame-tools
Depends: mame, ${misc:Depends}
Architecture: all
Description: Transitional package for mame-tools
 This is a transitional package for mame-tools, and can be safely removed
 after the installation is complete.

Package: xmess-sdl
Depends: mess, ${misc:Depends}
Architecture: all
Description: Transitional package for xmess-sdl
 This is a transitional package for xmess-sdl, and can be safely removed
 after the installation is complete.

Package: xmess-x
Depends: mess, ${misc:Depends}
Architecture: all
Description: Transitional package for xmess-x
 This is a transitional package for xmess-x, and can be safely removed
 after the installation is complete.

Package: sdlmame
Depends: mame, ${misc:Depends}
Architecture: amd64 i386
Description: Transitional package for sdlmame
 This is a transitional package for sdlmame, and can be safely removed
 after the installation is complete.

Package: sdlmame-tools
Depends: mame-tools, ${misc:Depends}
Architecture: amd64 i386
Description: Transitional package for sdlmame-tools
 This is a transitional package for sdlmame-tools, and can be safely removed
 after the installation is complete.
