## mame 0.144

=== debian/changelog ===
mame (0.144-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Fix syntax errors in DEP5 copyright file (lintian).
  * Use a versioned copyright Format specification field.
  * Update Vcs-* URLs.
  * Move transitional packages to the new metapackages section, and make
    them priority extra.
  * Remove references to GNU/Linux and MESS sources from copyright.
  * Add build variables for s390x.
  * Use .xz tarballs as it cuts 4MB for the upstream sources.
  * Add nplayers.ini as a patch. Update copyright file to add CC-BY-SA-3.0.

  [ Emmanuel Kasper ]
  * New upstream release. Closes: #651538.
  * Add Free Desktop compliant png icons of various sizes taken from
    the hydroxygen iconset
  * Mess is now built from a new source package, to avoid possible source
    incompatibilities between mame and the mess overlay.
  * Mame-tools are not built from the mame source package anymore, but
    from the mess source package

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Dec 2011 22:56:27 +0100
