=== debian/control ===
Source: mame
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Félix Arreola Rodríguez <fgatuno.123@gmail.com>,
           Cesare Falco <cesare.falco@gmail.com>,
           Emmanuel Kasper <emmanuel@libera.cc>,
           Ludovic Lechapt <ludomatic@gmail.com>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8),
               libexpat1-dev,
               libsdl1.2-dev,
               libgconf2-dev,
               libgtk2.0-dev,
               libsdl-ttf2.0-dev,
               libxinerama-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-games/mame.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mame.git
Homepage: http://mamedev.org/
XS-Autobuild: yes

Package: mame
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mame-tools, gnome-video-arcade
Provides: xmame-common, xmame-sdl, xmame-svga, xmame-x
Replaces: xmame-common (<< 0.140), xmame-sdl (<< 0.140), xmame-svga (<< 0.140), xmame-x (<< 0.140)
Breaks: xmame-common (<< 0.140), xmame-sdl (<< 0.140), xmame-svga (<< 0.140), xmame-x (<< 0.140), sdlmame (<< 0.143)
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: xmame-sdl
Section: non-free/metapackages
Priority: extra
Depends: mame, ${misc:Depends}
Architecture: all
Description: Transitional package for xmame-sdl
 This is a transitional package for xmame-sdl, and can be safely removed
 after the installation is complete.

Package: xmame-svga
Section: non-free/metapackages
Priority: extra
Depends: mame, ${misc:Depends}
Architecture: i386
Description: Transitional package for xmame-svga
 This is a transitional package for xmame-svga, and can be safely removed
 after the installation is complete.

Package: xmame-x
Section: non-free/metapackages
Priority: extra
Depends: mame, ${misc:Depends}
Architecture: all
Description: Transitional package for xmame-x
 This is a transitional package for xmame-x, and can be safely removed
 after the installation is complete.

Package: sdlmame
Section: non-free/metapackages
Priority: extra
Depends: mame, ${misc:Depends}
Architecture: amd64 i386
Description: Transitional package for sdlmame
 This is a transitional package for sdlmame, and can be safely removed
 after the installation is complete.
