## mame 0.145

=== debian/changelog ===
mame (0.145-0ubuntu2) precise-proposed; urgency=low

  * Replace -march with -mtune=generic gcc flag for compatibility issues
    with older CPUs (LP: #1063993)

 -- Cesare Falco <cesare.falco@gmail.com>  Thu, 25 Oct 2012 22:41:37 +0200

mame (0.145-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #927941)
  * mame.install: generic pattern for dtd file in case it gets renamed
  * rules: cope with new upstream changelog filename format: whatsnew_$(VER)

 -- Cesare Falco <cesare.falco@gmail.com>  Mon, 06 Feb 2012 22:23:28 +0100

mame (0.144-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #913550)
  * mame.install:
    - Added artwork/ images to be used with -effect switch
    - Be more selective with hash/ contents
  * contrib/mame.ini: added /usr/share/games/mame/artwork/ to artpath

 -- Cesare Falco <cesare.falco@gmail.com>  Wed, 30 Nov 2011 18:50:10 +0100

mame (0.143-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #803468) (LP: #770914)
  * Compress packages and debian.tar using bzip2
  * added hash files
  * let dh_usrlocal take care of /usr/local/share/mame/ and subdirs
  * control:
    - bumped standards version to 3.9.2
    - rearranged conflicting dependencies
  * rules:
    - excluded more non-*nix docs
    - do not consider compiler warnings as errors
  * README.Debian: updated with hash files info
  * contrib/mame.ini: added hash file entry
  * mame-common: merged with main package (prepares future import from Debian)
  * mame-tools: removed ldplayer, in sync with upstream distribution; this also
        removed mame-tools dependency on mame-common

 -- Cesare Falco <cesare.falco@gmail.com>  Mon, 25 Jul 2011 11:37:29 +0200
