=== debian/control ===
Source: mame
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Cesare Falco <cesare.falco@gmail.com>
Homepage: http://mamedev.org
Build-Depends: debhelper (>= 7.0.50~),
 libexpat1-dev (>= 2.0.1),
 libgconf2-dev,
 libgtk2.0-dev,
 libsdl1.2-dev (>= 1.2.11),
 libsdl-ttf2.0-dev,
 libxinerama-dev,
 zlib1g-dev
Standards-Version: 3.9.2


Package: mame
Architecture: i386 amd64
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: joystick,
 mame-tools
Provides: sdlmame
Breaks: mame-common (<< 0.143),
 sdlmame (<< 0.137),
 xmame-common,
 xmame-gl,
 xmame-sdl,
 xmame-svga,
 xmame-tools,
 xmame-x
Replaces: mame-common (<< 0.143),
 sdlmame (<< 0.137),
 xmame-common,
 xmame-gl,
 xmame-sdl,
 xmame-svga,
 xmame-tools,
 xmame-x
Description: The Multiple Arcade Machine Emulator - MAME
 A software emulator of several arcade games from the past.
 .
 MAME stands for Multiple Arcade Machine Emulator. When used
 in conjunction with images of the original arcade game's ROM
 and disk data, MAME attempts to reproduce that game as faithfully
 as possible on a more modern general-purpose computer. MAME can
 currently emulate several thousand different classic arcade video
 games from the late 1970s through the modern era. 


Package: mame-tools
Section: utils
Architecture: i386 amd64
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: mame (= ${source:Version})
Provides: sdlmame-tools
Breaks: sdlmame-tools (<< 0.137),
 xmame-tools
Replaces: sdlmame-tools (<< 0.137),
 xmame-tools
Description: MAME tools
 A set of useful tools for the Multiple Arcade Machine Emulator:
  * chdman - MAME Compressed Hunks of Data (CHD) manager
  * jedutil - Converts a .JED file into its binary form, and viceversa
  * ldverify - MAME laserdisc data checker
  * romcmp - MAME rom and romsets check and comparison tool
  * testkeys - Returns SDL keycode for key pressed


Package: sdlmame
Depends: ${misc:Depends},
 mame
Architecture: all
Description: Dummy package to ease transition to mame
 This is a dummy package to ease transition to mame.
 .
 It can be safely removed from your system.


Package: sdlmame-tools
Depends: ${misc:Depends},
 mame-tools
Architecture: all
Description: Transitional dummy package to mame-tools
 This is a dummy package to ease transition to mame-tools.
 .
 It can be safely removed from your system.
