=== debian/rules ===
#!/usr/bin/make -f

# Building rules for mame source package
# (c) Copyright 2007 Cesare Falco
#
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL-2 or <http://www.gnu.org/copyleft/gpl.txt>.

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

VER=0.145
MD5SUM=9ddcda5b26f42873c7c4d4d5dd6fccd5

# Override relevant make variables in original makefile
DEB_MAME_OPTS = \
    OPT_FLAGS="-D'INI_PATH=\"/etc/mame\"'" \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    OSD=sdl \
    CROSS_BUILD_OSD= \
    TARGETOS=unix \
    PREFIX= \
    SUFFIX= \
    DEBUG= \
    PROFILER= \
    NOWERROR=1 \
    MACOSX_USE_LIBSDL= \
    BUILD_EXPAT= \
    BUILD_ZLIB= \
    SYMBOLS= \
    SYMLEVEL= \
    DUMPSYM= \
    PROFILE= \
    MAP= \
    VERBOSE= \
    OPTIMIZE=3

# Override make variables for specific archs
ifeq ($(DEB_HOST_ARCH),i386)
DEB_MAME_OPTS += \
    ARCHOPTS=-mtune=generic \
    FORCE_DRC_C_BACKEND= \
    PTR64= \
    BIGENDIAN=
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_MAME_OPTS += \
    ARCHOPTS=-mtune=generic \
    FORCE_DRC_C_BACKEND= \
    PTR64=1 \
    BIGENDIAN=
endif


%:
	dh $@

override_dh_auto_build:
	$(MAKE) -j3 $(DEB_MAME_OPTS) all

override_dh_auto_clean:
	$(MAKE) $(DEB_MAME_OPTS) clean
	rm -rf obj/

override_dh_installchangelogs:
	dh_installchangelogs --keep whatsnew_$(subst .,,$(VER)).txt

override_dh_installdocs:
	dh_installdocs --exclude=hlsl.txt \
                   --exclude=license.txt \
                   --exclude=whatsnew_$(subst .,,$(VER)).txt \
                   --exclude=windows.txt

override_dh_install:
	dh_install --exclude=OSX.txt

override_dh_builddeb:
	dh_builddeb -- -Zbzip2


get-orig-source: mame$(subst .,,$(VER))s.zip
	echo "$(MD5SUM) *mame$(subst .,,$(VER))s.zip" | md5sum -c -
	unzip -q mame$(subst .,,$(VER))s.zip
	mkdir mame-$(VER)
	unzip -d mame-$(VER) mame.zip
	find mame-$(VER) -type f -not -name *.png | xargs sed -i "s/\r$$//"
	tar -cf - mame-$(VER) | bzip2 -9c > mame_$(VER).orig.tar.bz2
	rm -rf mame-$(VER) mame.zip mame$(subst .,,$(VER))s.zip

mame$(subst .,,$(VER))s.zip:
	wget -U ubuntu -P . -O mame$(subst .,,$(VER))s.zip \
        "http://mamedev.org/downloader.php?&file=releases/mame$(subst .,,$(VER))s.zip"
