## mame 0.146

=== debian/changelog ===
mame (0.146-5) unstable; urgency=low

  [ Cesare Falco ]
  * Replace -march with -mtune=generic gcc flag for compatibility issues
    with older CPUs (LP: #1063993)

  [ Emmanuel Kasper ]
  * Add support for parallel building using DEB_BUILD_OPTIONS
  * Reorganize default paths:
       $HOME/.mame for ini file and output files
       $HOME/mame for data search paths

 -- Emmanuel Kasper <emmanuel@libera.cc>  Tue, 13 Nov 2012 17:39:32 +0100

mame (0.146-4) unstable; urgency=low

  * Removes danglink symlink after xmame-sdl,xmame-x,xmame-svga update.
    closes: bug#687654, #689718

 -- Emmanuel Kasper <emmanuel@libera.cc>  Tue, 09 Oct 2012 19:45:03 +0200

mame (0.146-3) experimental; urgency=low

  * Add preinst script for xmame-x,xmame-sdl,xmame-svga as a fix for #687654

 -- Emmanuel Kasper <emmanuel@libera.cc>  Mon, 08 Oct 2012 15:27:37 +0200

mame (0.146-2) unstable; urgency=low

  [ Cesare Falco ] 
  * mame.ini: start mame in full screen until issue solved in Ubuntu, see:
    https://bugs.launchpad.net/ubuntu/+source/mame/+bug/994508
  * Man page updated to 0.146
  
  [ Emmanuel Kasper ]
  * Default gcc optimize flag switched to -O2 (-O3 segfaults on arm and i386)

 -- Emmanuel Kasper <emmanuel@libera.cc>  Thu, 19 Jul 2012 22:15:16 +0200

mame (0.146-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release
  * Drop patch to fix man pages section and patches to link with flac 
    and jpeg system lib: all this has been pushed upstream by Cesare Falco
  * Add DM-Upload-Allowed: yes field.

  [ Jordi Mallach ]
  * Create a "gnu" TARGETOS stanza that defines NO_AFFINITY_NP.
  * Stop setting TARGETOS to "unix" in d/rules. It should be autodetected,
    and set to the appropriate value.
  * mame_manpage_section.patch: Change mame's manpage section to 6 (games),
    in the TH declaration.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Jun 2012 20:02:23 +0200

mame (0.145-1) unstable; urgency=low

  [ Emmanuel Kasper ]
  * New upstream release (closes: #663429)
  * New patch: makefile switch to link system flac library
  * Remove "all" from build target as we build the tools in mess package
  * Yet another batch of syntax errors in DEP5 copyright file corrected

  [ Cesare Falco ]
  * Improve backward compatibility in Ubuntu:
    * Added /usr/local/* paths in mame.ini
    * Some cleanup and refactoring in control
  * Make lintian happier:
    * Included BSD licence in copyright
    * Fixed Section: header in control
  * New patch: makefile switch to link system jpeg library
  * Packaged nplayers as a supplemental tarball
  * Removed references to mess
    * Swept out any remaining debris in debian/*
    * Don't compile tools, as mame-tools is now build by mess

  [ Jordi Mallach ]
  * gnu_fixes.patch: Add a check for __GNU__ to fix builds on the Hurd.
  * Point to the 1.0 machine-readable copyright format spec.
  * Make get-orig-source target drop tarballs in the current directory,
    as policy mandates.
  * Bump Standards-Version to 3.9.3.
  * Remove leading slashes from mame.dirs.
  * Add back Section field for transitional packages, but switch to oldlibs
    (as opposed to metapackages), which apparently is what everyone is doing
    due to lintian.

 -- Jordi Mallach <jordi@debian.org>  Sat, 12 May 2012 11:01:21 +0200
